## EXPORT_SPEC unsigned short ixmlNode_getNodeType

## (IXML_Node* nodeptr )

> Retrieves the type of a Node.

## Documentation

> Retrieves the type of a Node. The defined Node constants are:
> - `eATTRIBUTE_NODE`
> - `eCDATA_SECTION_NODE`
> - `eCOMMENT_NODE`
> - `eDOCUMENT_FRAGMENT_NODE`
> - `eDOCUMENT_NODE`
> - `eDOCUMENT_TYPE_NODE`
> - `eELEMENT_NODE`
> - `eENTITY_NODE`
> - `eENTITY_REFERENCE_NODE`
> - `eNOTATION_NODE`
> - `ePROCESSING_INSTRUCTION_NODE`
> - `eTEXT_NODE`

Parameters:
  nodeptr - The Node from which to retrieve the type.
Returns:
  [const unsigned short] An integer representing the type of the Node.

Alphabetic index

This page was generated with the help of DOC++.